curl --request GET \
--url https://api.dooki.com.br/v2/{alias}/checkout/payments/{paymentId}/config/{id} \
--header 'User-Secret-Key: <api-key>' \
--header 'User-Token: <api-key>'import requests
url = "https://api.dooki.com.br/v2/{alias}/checkout/payments/{paymentId}/config/{id}"
headers = {
"User-Token": "<api-key>",
"User-Secret-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'User-Token': '<api-key>', 'User-Secret-Key': '<api-key>'}
};
fetch('https://api.dooki.com.br/v2/{alias}/checkout/payments/{paymentId}/config/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dooki.com.br/v2/{alias}/checkout/payments/{paymentId}/config/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"User-Secret-Key: <api-key>",
"User-Token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.dooki.com.br/v2/{alias}/checkout/payments/{paymentId}/config/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("User-Token", "<api-key>")
req.Header.Add("User-Secret-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.dooki.com.br/v2/{alias}/checkout/payments/{paymentId}/config/{id}")
.header("User-Token", "<api-key>")
.header("User-Secret-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dooki.com.br/v2/{alias}/checkout/payments/{paymentId}/config/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["User-Token"] = '<api-key>'
request["User-Secret-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"payment_id": 123,
"affiliation_id": 123,
"active": true,
"default_display": true,
"id": 123,
"spread": true,
"ignore_promotions": true,
"accumulate_discount": true,
"percent_discount": 123,
"min_installment_value": 123,
"max_installments_without_tax": 123,
"billet_expire_days": 123,
"days_to_cancel_unpaid_billets": 123,
"hours_to_cancel_unpaid_pix": 123,
"hours_to_expire_pix_code": 123,
"billet_instructions": "<string>",
"installments": {
"data": [
{
"id": 1,
"payment_id": 2,
"installment": 1,
"tax": 1.5,
"percent_discount": 0,
"start_at": {
"date": "2000-08-17 10:24:24",
"timezone_type": 3,
"timezone": "America/Sao_Paulo"
},
"end_at": {
"date": "2000-08-17 10:24:24",
"timezone_type": 3,
"timezone": "America/Sao_Paulo"
},
"created_at": {
"date": "2000-08-17 10:24:24",
"timezone_type": 3,
"timezone": "America/Sao_Paulo"
},
"updated_at": {
"date": "2000-08-17 10:24:24",
"timezone_type": 3,
"timezone": "America/Sao_Paulo"
}
}
]
},
"affiliation": {
"data": {
"id": 123,
"active": true,
"backup": true,
"name": "Cielo Affiliation",
"statement_descriptor": "<string>",
"auto_capture": true,
"has_payment_config": false,
"capture_hour_delay": 123,
"force_minimum_tax": true,
"status": "<string>",
"auth_type": "<string>",
"gateway": {
"data": [
{
"alias": "billet",
"name": "Boleto Bancário",
"icon_url": "<string>",
"allow_backup": true,
"allow_edit_pix_code_expiration_time": true,
"installments_config": {
"allow_custom_installments": true,
"message": "<string>",
"help_link": "<string>"
},
"auth_type": "api_key",
"gateway_exists": true,
"params": {
"data": [
[
"env",
"merchant_id",
"key"
]
]
}
}
]
}
}
},
"payment": {
"data": {
"id": 123,
"alias": "<string>",
"name": "<string>",
"has_config": true,
"active_config": true,
"is_credit_card": true,
"is_deposit": true,
"is_billet": true,
"is_pix": true,
"is_pix_in_installments": true,
"is_wallet": true,
"icon_url": "<string>"
}
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Visualizar configuração de pagamento
Visualiza as configurações de um tipo de pagamento específico
curl --request GET \
--url https://api.dooki.com.br/v2/{alias}/checkout/payments/{paymentId}/config/{id} \
--header 'User-Secret-Key: <api-key>' \
--header 'User-Token: <api-key>'import requests
url = "https://api.dooki.com.br/v2/{alias}/checkout/payments/{paymentId}/config/{id}"
headers = {
"User-Token": "<api-key>",
"User-Secret-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'User-Token': '<api-key>', 'User-Secret-Key': '<api-key>'}
};
fetch('https://api.dooki.com.br/v2/{alias}/checkout/payments/{paymentId}/config/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dooki.com.br/v2/{alias}/checkout/payments/{paymentId}/config/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"User-Secret-Key: <api-key>",
"User-Token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.dooki.com.br/v2/{alias}/checkout/payments/{paymentId}/config/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("User-Token", "<api-key>")
req.Header.Add("User-Secret-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.dooki.com.br/v2/{alias}/checkout/payments/{paymentId}/config/{id}")
.header("User-Token", "<api-key>")
.header("User-Secret-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dooki.com.br/v2/{alias}/checkout/payments/{paymentId}/config/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["User-Token"] = '<api-key>'
request["User-Secret-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"payment_id": 123,
"affiliation_id": 123,
"active": true,
"default_display": true,
"id": 123,
"spread": true,
"ignore_promotions": true,
"accumulate_discount": true,
"percent_discount": 123,
"min_installment_value": 123,
"max_installments_without_tax": 123,
"billet_expire_days": 123,
"days_to_cancel_unpaid_billets": 123,
"hours_to_cancel_unpaid_pix": 123,
"hours_to_expire_pix_code": 123,
"billet_instructions": "<string>",
"installments": {
"data": [
{
"id": 1,
"payment_id": 2,
"installment": 1,
"tax": 1.5,
"percent_discount": 0,
"start_at": {
"date": "2000-08-17 10:24:24",
"timezone_type": 3,
"timezone": "America/Sao_Paulo"
},
"end_at": {
"date": "2000-08-17 10:24:24",
"timezone_type": 3,
"timezone": "America/Sao_Paulo"
},
"created_at": {
"date": "2000-08-17 10:24:24",
"timezone_type": 3,
"timezone": "America/Sao_Paulo"
},
"updated_at": {
"date": "2000-08-17 10:24:24",
"timezone_type": 3,
"timezone": "America/Sao_Paulo"
}
}
]
},
"affiliation": {
"data": {
"id": 123,
"active": true,
"backup": true,
"name": "Cielo Affiliation",
"statement_descriptor": "<string>",
"auto_capture": true,
"has_payment_config": false,
"capture_hour_delay": 123,
"force_minimum_tax": true,
"status": "<string>",
"auth_type": "<string>",
"gateway": {
"data": [
{
"alias": "billet",
"name": "Boleto Bancário",
"icon_url": "<string>",
"allow_backup": true,
"allow_edit_pix_code_expiration_time": true,
"installments_config": {
"allow_custom_installments": true,
"message": "<string>",
"help_link": "<string>"
},
"auth_type": "api_key",
"gateway_exists": true,
"params": {
"data": [
[
"env",
"merchant_id",
"key"
]
]
}
}
]
}
}
},
"payment": {
"data": {
"id": 123,
"alias": "<string>",
"name": "<string>",
"has_config": true,
"active_config": true,
"is_credit_card": true,
"is_deposit": true,
"is_billet": true,
"is_pix": true,
"is_pix_in_installments": true,
"is_wallet": true,
"icon_url": "<string>"
}
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Path Parameters
Alias da loja
ID da forma de pagamento
ID da configuração de pagamento
Response
Configuração de pagamento visualizada com sucesso
Configuração de um meio de pagamento no checkout da loja.
ID do meio de pagamento configurado.
ID da afiliação (adquirente/gateway) usada por este meio de pagamento.
Indica se o meio de pagamento está ativo no checkout.
Indica se o meio de pagamento é exibido por padrão no checkout.
Identificador único da configuração de pagamento.
Indica se os juros do parcelamento são diluídos nos preços dos produtos, fazendo o parcelamento aparecer sem juros ao cliente.
Indica se este meio de pagamento ignora as promoções ativas.
Indica se o desconto deste meio de pagamento pode ser acumulado com outros descontos.
Percentual de desconto aplicado ao usar este meio de pagamento.
Valor mínimo de cada parcela, em reais, permitido no parcelamento deste meio de pagamento.
Número máximo de parcelas sem juros neste meio de pagamento.
Quantidade de dias até o vencimento do boleto.
Quantidade de dias até o cancelamento automático de boletos não pagos.
Quantidade de horas até o cancelamento automático de pagamentos Pix não pagos.
Quantidade de horas até a expiração do código Pix gerado.
Instruções exibidas no boleto gerado.
Condições de parcelamento configuradas para este meio de pagamento.
Show child attributes
Show child attributes
Afiliação (adquirente/gateway) vinculada a este meio de pagamento.
Show child attributes
Show child attributes
Meio de pagamento vinculado a esta configuração.
Show child attributes
Show child attributes
Data e hora de criação da configuração de pagamento.
Data e hora da última atualização da configuração de pagamento.
Was this page helpful?